/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package bin.tutorial3;

import gov.nih.nlm.ncbi.www.soap.eutils.EFetchGeneServiceStub;
import gov.nih.nlm.ncbi.www.soap.eutils.EFetchGeneServiceStub.EntrezgeneSetSequenceE;
import gov.nih.nlm.ncbi.www.soap.eutils.EFetchGeneServiceStub.EntrezgeneSet_type0;
import gov.nih.nlm.ncbi.www.soap.eutils.EFetchGeneServiceStub.Entrezgene_type0;

/**
 *
 * @author Ondra
 */
public class Example2 {
    
    public static void main(String[] args) throws Exception
    {
        try
        {
            EFetchGeneServiceStub service = new EFetchGeneServiceStub();
            // call NCBI EFetch utility
            EFetchGeneServiceStub.EFetchRequest req = new EFetchGeneServiceStub.EFetchRequest();
            
            //ID of PAH
            req.setId("5053");
            EFetchGeneServiceStub.EFetchResult res = service.run_eFetch(req);
            
            // results output
            
            EntrezgeneSet_type0 egs = res.getEntrezgeneSet();
            
            EntrezgeneSetSequenceE[] seqs = egs.getEntrezgeneSetSequence();
            for (EntrezgeneSetSequenceE seq : seqs){
                Entrezgene_type0 gene = seq.getEntrezgene();
                //gene summary
                System.out.println("Gene summary: "+gene.getEntrezgene_summary());
            }
        }
        catch (Exception e) { 
            e.printStackTrace();
        }
    }
    
}
